module global_data
implicit none

integer,parameter :: n= 512
real(8), dimension(n) :: a, b, c
!$acc declare create (a,b,c)

interface 
  subroutine kernel_sub(i)
!$acc routine vector
    integer :: i
  end subroutine
end interface
 
end module global_data
